Qt 5.9 | ErrorPageExtensionOption

Qt 5.9.1 Reference Documentation

# ErrorPageExtensionOption Class

(QWebPage::ErrorPageExtensionOption)

The ErrorPageExtensionOption class describes the option for the error page extension. More...

Header: | #include <ErrorPageExtensionOption>
qmake: | QT += webkitwidgets
Since: | Qt 4.6

- List of all members, including inherited members

## Public Variables

ErrorDomain | domain
int | error
QString | errorString
QWebFrame * | frame
QUrl | url

## Detailed Description

The ErrorPageExtensionOption class describes the option for the error page extension.

The ErrorPageExtensionOption class holds the url for which an error occurred as well as the associated frame.

The error itself is reported by an error domain, the error code as well as errorString.

See also QWebPage::extension() and QWebPage::ErrorPageExtensionReturn.

## Member Variable Documentation

### ErrorDomain ErrorPageExtensionOption::domain

This variable holds the domain that reported the error

### int ErrorPageExtensionOption::error

This variable holds the error code. Interpretation of the value depends on the domain

See also QWebPage::ErrorDomain.

### QString ErrorPageExtensionOption::errorString

This variable holds a string that describes the error

### QWebFrame *ErrorPageExtensionOption::frame

This variable holds the frame associated with the error

### QUrl ErrorPageExtensionOption::url

This variable holds the url for which an error occurred